<html><head>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
    <title>imaddtext</title>
    <style type="text/css" media="all">
      @import url("scilab_code.css");
      @import url("xml_code.css");
      @import url("c_code.css");
      @import url("style.css");
    </style>
  </head>
  <body>
    <div class="manualnavbar">
    <table width="100%"><tr>
      <td width="30%">
    	<span class="previous"><a href="im2movie.html">&lt;&lt; im2movie</a></span>

      </td>
      <td width="40%" class="center">
      	<span class="top"><a href="section_801a32c10cafa0071f9f29c6dd38b3e3.html">Utilities and Interactive Tools</a></span>

      </td>
      <td width="30%" class="next">
      	<span class="next"><a href="imbreakset.html">imbreakset &gt;&gt;</a></span>

      </td>
    </tr></table>
      <hr />
    </div>



    <span class="path"><a href="index.html">IPCV - Image Processing and Computer Vision Toolbox for Scilab</a> &gt;&gt; <a href="section_801a32c10cafa0071f9f29c6dd38b3e3.html">Utilities and Interactive Tools</a> &gt; imaddtext</span>

    <br /><br />
    <div class="refnamediv"><h1 class="refname">imaddtext</h1>
    <p class="refpurpose">Adding text to a color image</p></div>


<div class="refsynopsisdiv"><h3 class="title">Syntax</h3>
   <div class="synopsis"><pre><span class="default">SS</span><span class="default"> = </span><span class="functionid">imaddtext</span><span class="default">(</span><span class="default">S</span><span class="default">,</span><span class="default">str</span><span class="default">,</span><span class="default">x</span><span class="default">,</span><span class="default">y</span><span class="default">,</span><span class="default">font_sz</span><span class="default">,</span><span class="default">font_style</span><span class="default">,</span><span class="default">font_color</span><span class="default"> [,</span><span class="default">angle</span><span class="default"> [,</span><span class="default">box</span><span class="default">]])</span></pre></div></div>

<div class="refsection"><h3 class="title">Parameters</h3>
   <dl><dt><span class="term">S :</span>
      <dd><p class="para">Input image</p></dd></dt>
   <dt><span class="term">str :</span>
      <dd><p class="para">String to add</p></dd></dt>
   <dt><span class="term">x :</span>
      <dd><p class="para">Offset from lower left corner, x</p></dd></dt>
   <dt><span class="term">y :</span>
      <dd><p class="para">Offset from lower left corner, y</p></dd></dt>
   <dt><span class="term">font_sz :</span>
      <dd><p class="para">Font size, 0-10. Type &#0034;help graphic_fonts&#0034; for details</p></dd></dt>
   <dt><span class="term">font_style :</span>
      <dd><p class="para">Font style, 0-10. Type &#0034;help graphic_fonts&#0034; for details</p></dd></dt>
   <dt><span class="term">font_color :</span>
      <dd><p class="para">Font color. Type &#0034;help color_list&#0034; for details</p></dd></dt>
   <dt><span class="term">angle :</span>
      <dd><p class="para">optional real scalar, clockwise angle of string in degrees; default is 0.</p></dd></dt>
   <dt><span class="term">box :</span>
      <dd><p class="para">optional integer scalar; if box=1 and angle=0, a box is drawn around the string; otherwise, no box is drawn.</p></dd></dt>
   <dt><span class="term">SS :</span>
      <dd><p class="para">Output image</p></dd></dt></dl></div>

<div class="refsection"><h3 class="title">Description</h3>
   <p class="para">Add text provided by the user to a color image with specified location, font size, style and color.</p>
   <p class="para"></p></div>

<div class="refsection"><h3 class="title">Examples</h3>
   <div class="programlisting"><table border="0" width="100%"><tr><td width="98%"><pre class="scilabcode"><span class="scilabid">I1</span> <span class="scilaboperator">=</span> <span class="scilabid">imread</span><span class="scilabopenclose">(</span><a class="scilabcommand" href="scilab://fullpath">fullpath</a><span class="scilabopenclose">(</span><span class="scilabid">getIPCVpath</span><span class="scilabopenclose">(</span><span class="scilabopenclose">)</span> <span class="scilaboperator">+</span> <span class="scilabstring">&#0034;</span><span class="scilabstring">/images/measure.jpg</span><span class="scilabstring">&#0034;</span><span class="scilabopenclose">)</span><span class="scilabopenclose">)</span><span class="scilabdefault">;</span>
<span class="scilabid">I2</span> <span class="scilaboperator">=</span> <span class="scilabid">imaddtext</span><span class="scilabopenclose">(</span><span class="scilabid">I1</span><span class="scilabdefault">,</span><span class="scilabstring">&#0039;</span><span class="scilabstring">Testing</span><span class="scilabstring">&#0039;</span><span class="scilabdefault">,</span><span class="scilabnumber">100</span><span class="scilabdefault">,</span><span class="scilabnumber">100</span><span class="scilabdefault">,</span><span class="scilabnumber">5</span><span class="scilabdefault">,</span><span class="scilabnumber">6</span><span class="scilabdefault">,</span><span class="scilabstring">&#0039;</span><span class="scilabstring">blue</span><span class="scilabstring">&#0039;</span><span class="scilabopenclose">)</span><span class="scilabdefault">;</span>
<span class="scilabid">imshow</span><span class="scilabopenclose">(</span><span class="scilabid">I2</span><span class="scilabopenclose">)</span><span class="scilabdefault">;</span></pre></td><td valign="top"><a href="scilab://scilab.execexample/"><img src="ScilabExecute.png" border="0"/></a></td><td valign="top"><a href="scilab://scilab.editexample/"><img src="ScilabEdit.png" border="0"/></a></td><td></td></tr></table></div></div>

<div class="refsection"><h3 class="title">See also</h3>
   <ul class="itemizedlist"><li class="member"><a href="imshow.html" class="link">imshow</a></li>
   <li class="member"><a href="xs2im.html" class="link">xs2im</a></li></ul></div>

<div class="refsection"><h3 class="title">Authors</h3>
   <ul class="itemizedlist"><li class="member">Tan Chin Luh</li></ul></div>
    <br />

    <div class="manualnavbar">
    <table width="100%">
    <tr><td colspan="3" class="next"><a href="http://bugzilla.scilab.org/enter_bug.cgi?product=Scilab%20software&component=Documentation%20pages" class="ulink">Report an issue</a></td></tr>
<tr>
      <td width="30%">
    	<span class="previous"><a href="im2movie.html">&lt;&lt; im2movie</a></span>

      </td>
      <td width="40%" class="center">
      	<span class="top"><a href="section_801a32c10cafa0071f9f29c6dd38b3e3.html">Utilities and Interactive Tools</a></span>

      </td>
      <td width="30%" class="next">
      	<span class="next"><a href="imbreakset.html">imbreakset &gt;&gt;</a></span>

      </td>
    </tr></table>
      <hr />
    </div>
  </body>
</html>
